Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Static Public Attributes | Static Private Attributes | List of all members
wowf.models.workout.Workout Class Reference
Inheritance diagram for wowf.models.workout.Workout:
Collaboration diagram for wowf.models.workout.Workout:

## Static Public Attributes
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | user_id = Column(Integer(unsigned=True), ForeignKey('users.id'), nullable=False)
tuple | challenge_id = Column(Integer(unsigned=True), ForeignKey('challenges.id'), nullable=False)
tuple | challenge_type_id
tuple | points = Column(SmallInteger(unsigned=True), nullable=False)
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | user
tuple | challenge
Static Public Attributes inherited from wowf.models.meta.Base
tuple | query = DBSession.query_property()
Static Public Attributes inherited from wowf.lib.fulltext.FulltextBase
list | index_fields = []

## Static Private Attributes
string | __tablename__ = 'workouts'
dictionary | __mapper_args__ = {'polymorphic_on': 'challenge_type_id', 'with_polymorphic': '*'}

## Additional Inherited Members
Public Member Functions inherited from wowf.models.meta.Base
def | __str__
def | __repr__
def | __unicode__
def | get_by_id
def | create
def | delete

## Detailed Description

Definition at line 11 of file workout.py.

## Member Data Documentation

dictionary wowf.models.workout.Workout.__mapper_args__ = {'polymorphic_on': 'challenge_type_id', 'with_polymorphic': '*'}
| static private

Definition at line 14 of file workout.py.

string wowf.models.workout.Workout.__tablename__ = 'workouts'
| static private

Definition at line 13 of file workout.py.

tuple wowf.models.workout.Workout.challenge
| static

Initial value:
relationship(
'Challenge', lazy='joined', backref=backref('workouts', lazy='dynamic'))

Definition at line 26 of file workout.py.

tuple wowf.models.workout.Workout.challenge_id = Column(Integer(unsigned=True), ForeignKey('challenges.id'), nullable=False)
| static

Definition at line 17 of file workout.py.

tuple wowf.models.workout.Workout.challenge_type_id
| static

Initial value:
Column(
Integer(unsigned=True), ForeignKey('challenge_types.id', ondelete='cascade'),
nullable=False)

Definition at line 18 of file workout.py.

tuple wowf.models.workout.Workout.created_at = Column(DateTime, nullable=False, default=current_timestamp)
| static

Definition at line 22 of file workout.py.

tuple wowf.models.workout.Workout.id = Column(Integer(unsigned=True), primary_key=True)
| static

Definition at line 15 of file workout.py.

tuple wowf.models.workout.Workout.points = Column(SmallInteger(unsigned=True), nullable=False)
| static

Definition at line 21 of file workout.py.

tuple wowf.models.workout.Workout.user
| static

Initial value:
relationship(
'User', lazy='joined', backref=backref('workouts', lazy='dynamic'))

Definition at line 24 of file workout.py.

tuple wowf.models.workout.Workout.user_id = Column(Integer(unsigned=True), ForeignKey('users.id'), nullable=False)
| static

Definition at line 16 of file workout.py.

The documentation for this class was generated from the following file:

- wowf/models/workout.py